View Issue Details

IDProjectCategoryView StatusLast Update
0003607OpenFOAMBugpublic2020-12-31 09:14
Reporterdr.elia.danieleAssigned Tohenry 
PrioritynormalSeverityminorReproducibilityalways
Status resolvedResolutionfixed 
PlatformGNU/LinuxOSUbuntuOS Version18.04 LTS
Product Versiondev 
Fixed in Versiondev 
Summary0003607: foamDictionary entry0 querying
DescriptionA FOAM FATAL IO ERROR is reported when trying to query a deeper level feature of a boundary file dict by accessing to entry0 as reported in https://cpp.openfoam.org/v8/foamDictionary_8C.html in the Change patch type bullet point.
Steps To ReproduceBeing in tutorials/incompressible/icoFoam/cavity/cavity, display the boundary dict file content as follows:

foamDictionary constant/polyMesh/boundary -entry entry0 -value

Reproduce the error as follows:

foamDictionary constant/polyMesh/boundary -entry entry0.movingWall -value
TagsNo tags attached.

Activities

henry

2020-12-16 08:37

manager   ~0011797

The online documentation is currently not up to date on this point. The default dictionary syntax is now slash rather than dot, so you need to use

foamDictionary constant/polyMesh/boundary -entry entry0/movingWall -value

henry

2020-12-16 08:52

manager   ~0011798

Last edited: 2020-12-16 08:53

View 2 revisions

You can access the latest documentation for foamDictionary using

foamInfo foamDictionary

dr.elia.daniele

2020-12-24 08:35

reporter   ~0011799

Hi Henry, thanks for the clarification.

henry

2020-12-31 09:14

manager   ~0011800

The online documentation for OpenFOAM-dev has now been updated to include examples of the dictionary 'slash' syntax: https://cpp.openfoam.org/dev/foamDictionary_8C.html

Issue History

Date Modified Username Field Change
2020-12-16 08:06 dr.elia.daniele New Issue
2020-12-16 08:37 henry Note Added: 0011797
2020-12-16 08:52 henry Note Added: 0011798
2020-12-16 08:53 henry Note Edited: 0011798 View Revisions
2020-12-24 08:35 dr.elia.daniele Note Added: 0011799
2020-12-31 09:14 henry Assigned To => henry
2020-12-31 09:14 henry Status new => resolved
2020-12-31 09:14 henry Resolution open => fixed
2020-12-31 09:14 henry Fixed in Version => dev
2020-12-31 09:14 henry Note Added: 0011800